JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.Visual

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.platform.unix.X11.Visual

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  X11

    public static class X11.Visual

extends PointerType

Constructor Summary
`X11.Visual()`

Method Summary
`NativeLong` | `getVisualID()`
`String` | `toString()`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X11.Visual

    public X11.Visual()

Method Detail

### getVisualID

    public NativeLong getVisualID()

### toString

    public String toString()

  Overrides:
    `toString` in class `PointerType`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.